SELECT 

'dental' as 'tablename',
COUNT( IF(MONTH(v.visitdate)=10 ,v.pid,NULL)) AS m10,
COUNT( IF(MONTH(v.visitdate)=11 ,v.pid,NULL)) AS m11,
COUNT( IF(MONTH(v.visitdate)=12 ,v.pid,NULL)) AS m12,
COUNT( IF(MONTH(v.visitdate)=1 ,v.pid,NULL)) AS m1,
COUNT( IF(MONTH(v.visitdate)=2 ,v.pid,NULL)) AS m2,
COUNT( IF(MONTH(v.visitdate)=3 ,v.pid,NULL)) AS m3,
COUNT( IF(MONTH(v.visitdate)=4 ,v.pid,NULL)) AS m4,
COUNT( IF(MONTH(v.visitdate)=5 ,v.pid,NULL)) AS m5,
COUNT( IF(MONTH(v.visitdate)=6 ,v.pid,NULL)) AS m6,
COUNT( IF(MONTH(v.visitdate)=7 ,v.pid,NULL)) AS m7,
COUNT(IF(MONTH(v.visitdate)=8 ,v.pid,NULL)) AS m8,
COUNT( IF(MONTH(v.visitdate)=9 ,v.pid,NULL)) AS m9
 
FROM person p 
JOIN visit v ON p.pcucodeperson = v.pcucodeperson AND p.pid = v.pid  
JOIN visitdentalcheck d ON v.pcucode=d.pcucode AND v.visitno=d.visitno  
LEFT JOIN `user` u ON v.pcucode = u.pcucode AND v.username=u.username 
LEFT JOIN (
SELECT na.pcucodeperson,na.pid,na.lmp,v.pcucode,d.visitno  
FROM visitancpregnancy na  
JOIN visit v ON na.pcucodeperson=v.pcucodeperson AND na.pid=v.pid  
JOIN visitdentalcheck d ON v.pcucode=d.pcucode AND v.visitno=d.visitno  
WHERE 
#na.pcucodeperson=@hoscode  AND 
na.lmp IS NOT NULL AND LEFT(na.lmp,2)<>'00' 
AND TRIM(na.lmp)<>'' 
AND DATEDIFF(v.visitdate,na.lmp) > 0 AND DATEDIFF(v.visitdate,na.lmp) < 300  
GROUP BY na.pcucodeperson,na.pid,na.lmp,v.pcucode) AS pn ON v.pcucode = pn.pcucode AND v.visitno = pn.visitno  
WHERE
DATE(v.visitdate) BETWEEN '2015-10-01' AND '2016-06-30' 
#DATE(v.visitdate) BETWEEN DATE_SUB(CURDATE(), INTERVAL 30 DAY) AND CURDATE() 
AND 
v.flagservice = '03'



UNION

SELECT 
#DISTINCT MONTH(v.visitdate),
#COUNT(v.pid) 
'diagnosis_opd' as 'tablename',
COUNT( IF(MONTH(v.visitdate)=10 ,v.pid,NULL)) AS m10,
COUNT( IF(MONTH(v.visitdate)=11 ,v.pid,NULL)) AS m11,
COUNT( IF(MONTH(v.visitdate)=12 ,v.pid,NULL)) AS m12,
COUNT( IF(MONTH(v.visitdate)=1 ,v.pid,NULL)) AS m1,
COUNT( IF(MONTH(v.visitdate)=2 ,v.pid,NULL)) AS m2,
COUNT( IF(MONTH(v.visitdate)=3 ,v.pid,NULL)) AS m3,
COUNT( IF(MONTH(v.visitdate)=4 ,v.pid,NULL)) AS m4,
COUNT( IF(MONTH(v.visitdate)=5 ,v.pid,NULL)) AS m5,
COUNT( IF(MONTH(v.visitdate)=6 ,v.pid,NULL)) AS m6,
COUNT( IF(MONTH(v.visitdate)=7 ,v.pid,NULL)) AS m7,
COUNT(IF(MONTH(v.visitdate)=8 ,v.pid,NULL)) AS m8,
COUNT( IF(MONTH(v.visitdate)=9 ,v.pid,NULL)) AS m9
FROM visitdiag vd 
#LEFT JOIN cdisease d ON (vd.diagcode=d.diseasecode)  
INNER JOIN visit v ON (vd.pcucode=v.pcucode AND vd.visitno=v.visitno) 
LEFT JOIN person p ON v.pcucodeperson = p.pcucodeperson and v.pid = p.pid 
LEFT JOIN (
SELECT pcucodeperson ,pid ,IF(deaddate IS NULL OR YEAR(deaddate)='0000','1890-01-01',deaddate) dd FROM persondeath pd 
) pde ON v.pcucodeperson=pde.pcucodeperson AND v.pid=pde.pid 
WHERE v.flagservice='03'  
AND (pde.dd>=visitdate or pde.pid IS NULL) 
#AND DATE(v.visitdate) BETWEEN DATE_SUB(CURDATE(), INTERVAL 30 DAY) AND CURDATE() 
AND DATE(v.visitdate) BETWEEN '2015-10-01' AND '2016-06-30'
 
UNION

SELECT 
'epi' as 'tablename',
COUNT( IF(MONTH(ve.dateepi)=10 ,ve.pid,NULL)) AS m10,
COUNT( IF(MONTH(ve.dateepi)=11 ,ve.pid,NULL)) AS m11,
COUNT( IF(MONTH(ve.dateepi)=12 ,ve.pid,NULL)) AS m12,
COUNT( IF(MONTH(ve.dateepi)=1 ,ve.pid,NULL)) AS m1,
COUNT( IF(MONTH(ve.dateepi)=2 ,ve.pid,NULL)) AS m2,
COUNT( IF(MONTH(ve.dateepi)=3 ,ve.pid,NULL)) AS m3,
COUNT( IF(MONTH(ve.dateepi)=4 ,ve.pid,NULL)) AS m4,
COUNT( IF(MONTH(ve.dateepi)=5 ,ve.pid,NULL)) AS m5,
COUNT( IF(MONTH(ve.dateepi)=6 ,ve.pid,NULL)) AS m6,
COUNT( IF(MONTH(ve.dateepi)=7 ,ve.pid,NULL)) AS m7,
COUNT(IF(MONTH(ve.dateepi)=8 ,ve.pid,NULL)) AS m8,
COUNT( IF(MONTH(ve.dateepi)=9 ,ve.pid,NULL)) AS m9

FROM visitepi ve  
LEFT JOIN person p on ve.pcucodeperson = p.pcucodeperson and ve.pid = p.pid  
LEFT JOIN visit v ON ve.pcucodeperson = v.pcucode and ve.visitno = v.visitno  
LEFT JOIN cdrug d ON ve.vaccinecode=d.drugcode AND d.drugtype='05'
WHERE ve.dateepi IS NOT NULL AND TRIM(ve.dateepi)<>'' 
AND (v.flagservice = '03' OR v.flagservice IS NULL) AND
DATE(ve.dateepi) BETWEEN '2015-10-01' AND '2016-06-30' 


UNION

SELECT 
'ncdscreen' as 'tablename',
COUNT( IF(MONTH(ns.screen_date)=10 ,ns.pid,NULL)) AS m10,
COUNT( IF(MONTH(ns.screen_date)=11 ,ns.pid,NULL)) AS m11,
COUNT( IF(MONTH(ns.screen_date)=12 ,ns.pid,NULL)) AS m12,
COUNT( IF(MONTH(ns.screen_date)=1 ,ns.pid,NULL)) AS m1,
COUNT( IF(MONTH(ns.screen_date)=2 ,ns.pid,NULL)) AS m2,
COUNT( IF(MONTH(ns.screen_date)=3 ,ns.pid,NULL)) AS m3,
COUNT( IF(MONTH(ns.screen_date)=4 ,ns.pid,NULL)) AS m4,
COUNT( IF(MONTH(ns.screen_date)=5 ,ns.pid,NULL)) AS m5,
COUNT( IF(MONTH(ns.screen_date)=6 ,ns.pid,NULL)) AS m6,
COUNT( IF(MONTH(ns.screen_date)=7 ,ns.pid,NULL)) AS m7,
COUNT(IF(MONTH(ns.screen_date)=8 ,ns.pid,NULL)) AS m8,
COUNT( IF(MONTH(ns.screen_date)=9 ,ns.pid,NULL)) AS m9
FROM ncd_person_ncd_screen ns 
LEFT JOIN 
(SELECT pcucodeperson ,pid ,IF(deaddate IS NULL OR YEAR(deaddate)='0000','1890-01-01',deaddate) dd FROM persondeath pd ) pde ON ns.pcucode=pde.pcucodeperson AND ns.pid=pde.pid  
LEFT JOIN `user` u ON ns.pcucode = u.pcucode AND ns.user_update=u.username 
JOIN person on ns.pcucode = person.pcucodeperson AND ns.pid = person.pid  
LEFT JOIN (select pcucodeperson ppcp,pid,COUNT(DISTINCT pcn.pcucodeperson,pcn.pid,d.codechronic) as g        
from personchronic pcn JOIN cdisease d on pcn.chroniccode = d.diseasecode  
WHERE d.codechronic in('01','10') 
GROUP BY pcn.pcucodeperson,pcn.pid 
HAVING g > 1 
ORDER BY pid ) AS bothHtDm  ON ns.pcucode = bothHtDm.ppcp AND ns.pid = bothHtDm.pid  
WHERE bothHtDm.pid IS NULL 
AND DATE(ns.screen_date) BETWEEN '2015-10-01' AND '2016-06-30'
#AND DATE(ns.screen_date) BETWEEN DATE_SUB(CURDATE(), INTERVAL 30 DAY) AND CURDATE() 

UNION
SELECT 
'service' as 'tablename',
COUNT( IF(MONTH(v.visitdate)=10 ,v.pid,NULL)) AS m10,
COUNT( IF(MONTH(v.visitdate)=11 ,v.pid,NULL)) AS m11,
COUNT( IF(MONTH(v.visitdate)=12 ,v.pid,NULL)) AS m12,
COUNT( IF(MONTH(v.visitdate)=1 ,v.pid,NULL)) AS m1,
COUNT( IF(MONTH(v.visitdate)=2 ,v.pid,NULL)) AS m2,
COUNT( IF(MONTH(v.visitdate)=3 ,v.pid,NULL)) AS m3,
COUNT( IF(MONTH(v.visitdate)=4 ,v.pid,NULL)) AS m4,
COUNT( IF(MONTH(v.visitdate)=5 ,v.pid,NULL)) AS m5,
COUNT( IF(MONTH(v.visitdate)=6 ,v.pid,NULL)) AS m6,
COUNT( IF(MONTH(v.visitdate)=7 ,v.pid,NULL)) AS m7,
COUNT(IF(MONTH(v.visitdate)=8 ,v.pid,NULL)) AS m8,
COUNT( IF(MONTH(v.visitdate)=9 ,v.pid,NULL)) AS m9
FROM visit v  
WHERE v.flagservice = '03' 
AND DATE(v.visitdate) BETWEEN '2015-10-01' AND '2016-06-30'






